This directory contains the code used for the master's thesis by Ludvig Hozman: "Performance
analysis of domain geometry optimizations in an LBM proxy application"

## LBM proxy application

See Makefile for compile steps. Required software versions are outlined in the thesis.

## Data

The `data` directory contains all the data used in the thesis. The data is generated from a set of
slurm jobs that can be generated using the `lbm-d3-jobs.py` script. This data is processed using the
`process_data.py` script.

## Plots

The `plots` directory contains the source code for generating all plots in the thesis, using the
data in the `data` directory.
